Package fr.gouv.vitam.common.model

# Class MetadatasObject

java.lang.Object
fr.gouv.vitam.common.model.MetadatasObject

Direct Known Subclasses:
  `MetadatasStorageObject`, `StorageMetadataResult`

public abstract class MetadatasObject extends Object
Metadata object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetadatasObject()`
  empty constructor
  `MetadatasObject(String objectName, String type, String digest, long fileSize, String lastAccessDate, String lastModifiedDate)`
  Constructor to initialize the needed parameters for get metadata results

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDigest()`
  `long`
  `getFileSize()`
  `String`
  `getLastAccessDate()`
  `String`
  `getLastModifiedDate()`
  `String`
  `getObjectName()`
  `String`
  `getType()`
  `MetadatasObject`
  `setDigest(String digest)`
  `MetadatasObject`
  `setFileSize(long fileSize)`
  `MetadatasObject`
  `setLastAccessDate(String lastAccessDate)`
  `MetadatasObject`
  `setLastModifiedDate(String lastModifiedDate)`
  `MetadatasObject`
  `setObjectName(String objectName)`
  `MetadatasObject`
  `setType(String type)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MetadatasObject

    public MetadatasObject()
    empty constructor

  - ### MetadatasObject

    public MetadatasObject(String objectName, String type, String digest, long fileSize, String lastAccessDate, String lastModifiedDate)
    Constructor to initialize the needed parameters for get metadata results
    Parameters:
      `objectName` - the object name
      `type` - the type of metadata object
      `digest` - of metadata object
      `fileSize` - of metadata object
      `lastAccessDate` - of metadata object
      `lastModifiedDate` - of metadata object

- ## Method Details

  - ### getObjectName

    public String getObjectName()
    Returns:
      object name

  - ### setObjectName

    public MetadatasObject setObjectName(String objectName)
    Parameters:
      `objectName` - of metadata object to set
    Returns:
      MetadatasObjectResult

  - ### getType

    public String getType()
    Returns:
      type

  - ### setType

    public MetadatasObject setType(String type)
    Parameters:
      `type` - of metadata object to set
    Returns:
      MetadatasObjectResult

  - ### getDigest

    public String getDigest()
    Returns:
      digest

  - ### setDigest

    public MetadatasObject setDigest(String digest)
    Parameters:
      `digest` - of metadata object to set
    Returns:
      MetadatasObjectResult

  - ### getFileSize

    public long getFileSize()
    Returns:
      the file size of metadata object

  - ### setFileSize

    public MetadatasObject setFileSize(long fileSize)
    Parameters:
      `fileSize` - of metadata object to set
    Returns:
      MetadatasObjectResult

  - ### getLastAccessDate

    public String getLastAccessDate()
    Returns:
      file's last access date

  - ### setLastAccessDate

    public MetadatasObject setLastAccessDate(String lastAccessDate)
    Parameters:
      `lastAccessDate` - of metadata object to set
    Returns:
      MetadatasObjectResult

  - ### getLastModifiedDate

    public String getLastModifiedDate()
    Returns:
      file's last modifiedDate

  - ### setLastModifiedDate

    public MetadatasObject setLastModifiedDate(String lastModifiedDate)
    Parameters:
      `lastModifiedDate` - of metadata object to set
    Returns:
      MetadatasObjectResult